Subject: Re: [ietf-calsify] [Editorial Errata Reported] RFC5546 (3037)

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 30 Nov 2011 08:24:26 -0700

Cyrus, please let us know if you agree with this report.

On 11/30/11 5:29 AM, RFC Errata System wrote:
> The following errata report has been submitted for RFC5546,
> "iCalendar Transport-Independent Interoperability Protocol (iTIP)".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5546&eid=3037
> 
> --------------------------------------
> Type: Editorial
> Reported by: Praveen Bhamidipati <[email-masked]>
> 
> Section: 3.1.3
> 
> Original Text
> -------------
>    |   DURATION         | 0 or 1   | If present, REPEAT MUST be        |
>    |                    |          | present.                          |
>    |   REPEAT           | 0 or 1   | If present, DURATION MUST be      |
>    |                    |          | present.                          |
> 
> Corrected Text
> --------------
>    |   DURATION         | 0 or 1   | If present, DURATION MUST be      |
>    |                    |          | present.                          |
>    |   REPEAT           | 0 or 1   | If present, REPEAT MUST be        |
>    |                    |          | present.                          |
> 
> Notes
> -----
> Currently, the Component/Property doesn't match the term used in Comment. That needs to be corrected.
> 
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5546 (draft-ietf-calsify-2446bis-10)
> --------------------------------------
> Title               : iCalendar Transport-Independent Interoperability Protocol (iTIP)
> Publication Date    : December 2009
> Author(s)           : C. Daboo, Ed.
> Category            : PROPOSED STANDARD
> Source              : Calendaring and Scheduling Standards Simplification
> Area                : Applications
> Stream              : IETF
> Verifying Party     : IESG

-- 
Peter Saint-Andre
https://stpeter.im/

_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: Reinhold Kainhofer <[email-masked]>
Date: Wed, 30 Nov 2011 16:33:42 +0100

On 30/11/2011 16:24, Peter Saint-Andre wrote:
>> [...]

No! The RFC is entirely correct on this. If DURATION is present within a
VALARM, then the restriction is that REPEAT MUST also be present (and
vice versa). I.e. either DURATION and REPEAT is present, or none of
them. This is exactly what the original text says. Compare also rfc 5545
(section 3.6.6. Alarm Componen):
                  ; 'duration' and 'repeat' are both OPTIONAL,
                  ; and MUST NOT occur more than once each;
                  ; but if one occurs, so MUST the other.
                  ;
                  duration / repeat /

The "Corrected Text" doesn't make sense logically, either (if it is
present, it is present, so no need for MUST ;-) )

Cheers,
Reinhold

-- 
------------------------------------------------------------------
Reinhold Kainhofer, [email-masked], http://reinhold.kainhofer.com/
 * Financial & Actuarial Math., Vienna Univ. of Technology, Austria
 * http://www.fam.tuwien.ac.at/, DVR: 0005886
 * LilyPond, Music typesetting, http://www.lilypond.org

---

From: Eliot Lear <[email-masked]>
Date: Wed, 30 Nov 2011 16:40:25 +0100

I agree with Reinhold on this one.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 30 Nov 2011 08:43:27 -0700

With my individual hat on, I agree. I was going to immediately reject it
but wanted to check with the author / WG first.

---

From: Cyrus Daboo <[email-masked]>
Date: Wed, 30 Nov 2011 10:48:52 -0500

Hi Peter,

> Cyrus, please let us know if you agree with this report.

As Reinhold just pointed out the errata is wrong. RFC5546's current text is 
absolutely correct. The correct text is simply stating that if any one of 
DURATION or REPEAT is present, then the other must be present too.

-- 
Cyrus Daboo